// ====================================================================
// Template toolbox_skeleton
// This file is released under the 3-clause BSD license. See COPYING-BSD.
// ====================================================================
//
//
function [sendingMessageInformation] = SendMessage(MessagePointName,...//имя точки обмена сообщениями
                                                   AdresatMessagePointName,...//Имя точки обмена сообщениями адресата
                                                   SendingMessage...//Отправляемое сообщение
                                                   )
    //Проверка аргументов
    if argn(2) ~= 3 then
        sendingMessageInformation = [];
        error('This function takes 3 arguments');
    end
    
    //Отправляем сообщение
    fullSendingMessage = AdresatMessagePointName + ':' + SendingMessage;//Формируем полностью сообщение
    sendingMessageInformation = SOCKET_query(MessagePointName,fullSendingMessage($:-1:1));//Отправляем сообщение на точку обмена сообщениями
endfunction
// ====================================================================
