// ====================================================================
// Template toolbox_skeleton
// This file is released under the 3-clause BSD license. See COPYING-BSD.
// ====================================================================
//
//
function [messagePointInformation] = DestroyMessagePoint(MessagePointName...//имя точки обмена сообщениями
                                                         )
    //Значения по умолчанию
    if argn(2) ~= 1 then
        messagePointInformation = [];
        error('This function takes 1 arguments');
    end
    
    //Удаляем точку обмена сообщениями
    try
        messagePointInformation = SOCKET_query(MessagePointName,MessagePointName + ':');//Удаляем с сервера точку обмена сообщениями
    catch
        messagePointInformation = [];
    end
    SOCKET_close(MessagePointName);//Закрываем соединение с сервером
endfunction
// ====================================================================
